#ifndef M_OPERCMDS_H
#define M_OPERCMDS_H
/* Pxys - An IRC ProxyScan, m_opercmds.h
 * 
 * Copyright (C) 2001 Stephane Thiell <mbuna@undernet.org>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * $Id: m_opercmds.h,v 1.6 2001/11/21 15:43:23 mbuna Exp $
 */
 
#include "m_structs.h"
#include "typedefs.h"

void opercmds_help(struct Client *cptr, const char *nn, const char* arg);
void opercmds_inv(struct Client *cptr, const char *nn, const char* arg);
void opercmds_status(struct Client *cptr, const char *nn, const char* arg);
void opercmds_links(struct Client *cptr, const char *nn, const char* arg);
void opercmds_info(struct Client *cptr, const char *nn, const char* arg);
void opercmds_lastcomm(struct Client *cptr, const char *nn, const char* arg);
void opercmds_lastlog(struct Client *cptr, const char *nn, const char* arg);
void opercmds_lastlog(struct Client *cptr, const char *nn, const char* arg);
void opercmds_grem(struct Client *cptr, const char *nn, const char* arg);
void opercmds_recheck(struct Client *cptr, const char *nn, const char* arg);
void opercmds_stats(struct Client *cptr, const char *nn, const char* arg);
void opercmds_wannounce(struct Client *cptr, const char *nn, const char* arg);
void opercmds_showopr(struct Client *cptr, const char *nn, const char* arg);
void opercmds_listshowopr(struct Client *cptr, const char *nn, const char* arg);


void lastcomm_put(const struct Client *cptr, const char *cmd);
void lastcomm_get(const char *to, int hist);
void lastcomm_free();

void lastlog_put(const char *ip, long toasted, const char *reason);
void lastlog_get(const char *to, int hist);
void lastlog_free();


char * hhmmss(time_t tstamp);

#endif  /* M_OPERCMDS_H */
