/* Pxys - An IRC ProxyScan, ms_netutils.c
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * 
 * $Id: ms_netutils.c,v 1.2 2001/10/25 01:47:07 mbuna Exp $
 */
 
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/time.h>


#include "m_array.h"
#include "m_structs.h"
#include "m_shutdown.h"

#include "ms_netutils.h"
#include "ms_globals.h"

#include "hashtab.h"
#include "misc.h"
#include "numnicks.h"

#include "m_log.h"

extern struct Client * mClient;
extern struct Server * mServer;

extern htab *mHS;


/* precondition: strlen(iobuf) >= strlen("XXYYY")
 */
void
numnick(struct Client *c, char *iobuf)
{
#ifdef N2K_SUPPORT
   /* XXYYY */
   inttobase64(iobuf, c->nserv, 2);
   inttobase64(iobuf + 2, c->nnick, 3);
#else
   /* XYY */
   inttobase64(iobuf, c->nserv, 1);
   inttobase64(iobuf + 1, c->nnick, 2);
#endif
}

struct Server *
findServer(char *name)
{
   if(hfind(mHS, strlwr(name), strlen(name) + 1))
      return ((struct Server *)hstuff(mHS));
   return NULL;
}

void
militime_r(char* sec, char* usec, char* timebuf, int timebuf_len)
{
  struct timeval tv;
  
  gettimeofday(&tv, NULL);
  
  if (sec && usec)
    snprintf(timebuf, timebuf_len, "%ld",
        (tv.tv_sec - atoi(sec)) * 1000 + (tv.tv_usec - atoi(usec)) / 1000);
  else
    snprintf(timebuf, timebuf_len, "%ld %ld", tv.tv_sec, tv.tv_usec);
}

/* ms_netutils.c */
